Subject: bug#633 closed by [email-masked] (#633: fixed in src:sysvinit version 2.96-7+devuan2)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Fri, 26 Nov 2021 16:34:05 +0000

This is an automatic notification regarding your bug report
which was filed against the sysvinit package:

#633: qemu-guest-agent: Guest agent does not shut down the guest when requested to

It has been closed by [email-masked].

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact [email-masked] by
replying to this email.

-- 
633: https://bugs.devuan.org/cgi/bugreport.cgi?bug=633
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: #633: fixed in src:sysvinit version 2.96-7+devuan2
From: [email-masked]
To: [email-masked]
Date: Fri, 26 Nov 2021 16:32:11 +0000

Version: 2.96-7+devuan2

Source package sysvinit (2.96-7+devuan2) added to Devuan suite chimaera.

This closes bug report 633.

Thanks

DAK managing the Devuan archive

Format: 1.8
Date: Fri, 26 Nov 2021 16:21:12 +0000
Source: sysvinit
Architecture: source
Version: 2.96-7+devuan2
Distribution: chimaera
Urgency: medium
Maintainer: Devuan Developers <[email-masked]>
Changed-By: Mark Hindley <[email-masked]>
Closes: 633
Changes:
 sysvinit (2.96-7+devuan2) chimaera; urgency=medium
 .
   * Backport upstream patch to fix parsing of shutdown +0 (Closes: #633).
Checksums-Sha1:
 91159b1f9b92cbe8ce975ae875f08b72e841da3b 2029 sysvinit_2.96-7+devuan2.dsc
 2a0e1481bd934b3f3da0ec6ea78291595f7008cb 130308 sysvinit_2.96-7+devuan2.debian.tar.xz
 1976be3036a04540b3edc0d45bd523a00e7be47e 5206 sysvinit_2.96-7+devuan2_source.buildinfo
Checksums-Sha256:
 772a2ad2d7c1d24585fec36957e368fb0d4bfb0bd193f9cf7a54298c8085f4c4 2029 sysvinit_2.96-7+devuan2.dsc
 c20e7b4777cfc6eefc1b1cdc66f63b0680b22ddb80316608470ea491f9b8ad9b 130308 sysvinit_2.96-7+devuan2.debian.tar.xz
 29c400c512dad4b02e1b9e9389a849bd1f89a5d387e8aaec49cf69891df2c660 5206 sysvinit_2.96-7+devuan2_source.buildinfo
Files:
 9010ea3350de950987c31e739fdd7303 2029 admin required sysvinit_2.96-7+devuan2.dsc
 80ec0248d5631f4f58676ae099194d96 130308 admin required sysvinit_2.96-7+devuan2.debian.tar.xz
 79393fb45a27f5448f65ecd020e6a76d 5206 admin required sysvinit_2.96-7+devuan2_source.buildinfo

Subject: qemu-guest-agent: Guest agent does not shut down the guest when requested to
From: Fabio Muzzi <[email-masked]>
To: Devuan Bug Tracking System <[email-masked]>
Date: Sat, 20 Nov 2021 20:06:15 +0100

Package: qemu-guest-agent
Version: 1:5.2+dfsg-11+deb11u1
Severity: grave
Justification: renders package unusable
X-Debbugs-Cc: [email-masked]

Dear Maintainer,

I have installed a Devuan 4 guest in a PVE 7.1 host, with Quemu guest
enabled in PVE and the guest agent package installed in the guest.

When commanding a guest shutdown from the host, a shutdown command is
sent to the guest agent (because the host knows the guest has the agent
installed, otherwise it would use an ACPI command to "press the power
button").

The guest gets the command, and writes in the syslog the following line:

Nov 20 18:50:09 fileserver qemu-ga: info: guest-shutdown called, mode:
(null)

Then a shutdown should be initiated, but nothing happens. The guest
keeps running.

I can send multiple shutdown commands from the host, they are all
received by the guest, but nothing happens, they just get logged in the
syslog.

I would expect the guest agent to start a shutdown.

Tried installing a Debian 11 virtual on the same PVE host, and the
shutdown command works as expected, logging the same line and then
immediately commanding a shutdown.

I suppose that this version of qemu-ga requires systemd to actually command a shutdown? 

Qemu-ga is version 5.2.0

It worked in Devuan 3.

Kind regards

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 4 (chimaera)
Release:	4
Codename:	chimaera
Architecture: x86_64

Kernel: Linux 5.10.0-9-amd64 (SMP w/2 CPU threads)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US:en
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages qemu-guest-agent depends on:
ii  init-system-helpers   1.60+devuan1
ii  libc6                 2.31-13+deb11u2
ii  libeudev1 [libudev1]  3.2.9-10~chimaera1
ii  libglib2.0-0          2.66.8-1
ii  liburing1             0.7-3
ii  lsb-base              11.1.0

qemu-guest-agent recommends no packages.

qemu-guest-agent suggests no packages.

-- no debconf information